Bug 887192 - [abrt] kactivities-4.9.3-1.fc17: exit: Process /usr/bin/kactivitymanagerd was killed by signal 11 (SIGSEGV)
Summary: [abrt] kactivities-4.9.3-1.fc17: exit: Process /usr/bin/kactivitymanagerd was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kactivities
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cb65d0a7db989339e6646dda19f...
: 928315 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 09:51 UTC by Alexnder
Modified: 2014-02-05 13:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:53:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.47 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: build_ids (4.80 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: core_backtrace (5.97 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: dso_list (11.74 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: environ (1.58 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: maps (50.02 KB, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: open_fds (190 bytes, text/plain)
2012-12-14 09:51 UTC, Alexnder
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2012-12-14 09:52 UTC, Alexnder
no flags Details
File: smolt_data (3.87 KB, application/octet-stream)
2012-12-14 09:52 UTC, Alexnder
no flags Details

Description Alexnder 2012-12-14 09:51:13 UTC
Version-Release number of selected component:
kactivities-4.9.3-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd
crash_function: exit
executable:     /usr/bin/kactivitymanagerd
kernel:         3.6.9-2.fc17.x86_64
remote_result:  593991
uid:            1000
var_log_messages: Dec 14 13:41:21 secondhost abrt[1926]: Saved core dump of pid 1302 (/usr/bin/kactivitymanagerd) to /var/spool/abrt/ccpp-2012-12-14-13:41:21-1302 (15290368 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #43 exit at exit.c:100
 #44 qt_xio_errhandler at kernel/qapplication_x11.cpp:772
 #45 KApplication::xioErrhandler at /usr/src/debug/kdelibs-4.9.3/kdeui/kernel/kapplication.cpp:419
 #46 _XIOError at XlibInt.c:1618
 #47 _XEventsQueued at xcb_io.c:365
 #48 XEventsQueued at Pending.c:43
 #49 x11EventSourceCheck at kernel/qguieventdispatcher_glib.cpp:85
 #50 g_main_context_check at gmain.c:3023
 #52 g_main_context_iteration at gmain.c:3207
 #53 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:424

Comment 1 Alexnder 2012-12-14 09:51:17 UTC
Created attachment 663464 [details]
File: backtrace

Comment 2 Alexnder 2012-12-14 09:51:19 UTC
Created attachment 663465 [details]
File: build_ids

Comment 3 Alexnder 2012-12-14 09:51:21 UTC
Created attachment 663466 [details]
File: cgroup

Comment 4 Alexnder 2012-12-14 09:51:23 UTC
Created attachment 663467 [details]
File: core_backtrace

Comment 5 Alexnder 2012-12-14 09:51:25 UTC
Created attachment 663468 [details]
File: dso_list

Comment 6 Alexnder 2012-12-14 09:51:27 UTC
Created attachment 663469 [details]
File: environ

Comment 7 Alexnder 2012-12-14 09:51:30 UTC
Created attachment 663470 [details]
File: limits

Comment 8 Alexnder 2012-12-14 09:51:32 UTC
Created attachment 663471 [details]
File: maps

Comment 9 Alexnder 2012-12-14 09:51:34 UTC
Created attachment 663472 [details]
File: open_fds

Comment 10 Alexnder 2012-12-14 09:52:07 UTC
Created attachment 663473 [details]
File: proc_pid_status

Comment 11 Alexnder 2012-12-14 09:52:10 UTC
Created attachment 663474 [details]
File: smolt_data

Comment 12 Kevin Kofler 2013-03-27 15:51:24 UTC
*** Bug 928315 has been marked as a duplicate of this bug. ***

Comment 13 Kevin Kofler 2013-03-27 15:52:34 UTC
Bumping Version, still happens in F18, see duplicate.

Comment 14 Max 2013-03-27 20:34:40 UTC
Yo, in the duplicate bug I submitted last night (Bug 928315), basically what was happening was this;

1. I install the nVidia proprietry drivers (through rpmfusion)
2. GLX was not starting up properly

I figured out that the reason is, xorg 1.13 somehow overrides nvidia's libglx.so and/or the driver doesn't symlink it properly or something to that regard. Because GLX isn't running properly, it seems to cause applications that use it (like chrome presumably) to crash kactivitymanager.

The solution for me was simply to symlink nvidia's version of libglx (for me /usr/lib64/nvidia/xorg/libglx.so) to the one xorg was loading at startup (/usr/lib64/xorg/modules/extensions/libglx.so - which I renamed beforehand). After doing that, the correct libglx.so was used, and GLX started up properly.

This solved all of my problems regarding this issue.

Hope this helps.

Comment 15 Fedora End Of Life 2013-12-21 09:54:15 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2014-02-05 13:53:05 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.